---
#------------------------------------------------------------
# This is the schema for rich presence v2.0
#------------------------------------------------------------

#------------------------------------------------------------
# Type alias
#------------------------------------------------------------
type_alias:

  #------------------------------------------------------------
  # Rich presence string list
  #------------------------------------------------------------

  rich_presence_string_type:
    type: map
    map_schema:
      string_id:
        required: yes	  
      string_text:
        type: map
        required: yes		
        map_schema:
          en-US:
            required: yes
          sv-SE:
            required: yes
          cs-CZ:
            required: yes
          da-DK:
            required: yes
          de-DE:
            required: yes
          es-ES:
            required: yes
          fi-FI:
            required: yes
          fr-FR:
            required: yes
          hu-HU:
            required: yes
          it-IT:
            required: yes
          ja-JP:
            required: yes
          ko-KO:
            required: yes
          nb-NO:
            required: yes
          nl-NL:
            required: yes
          pl-PL:
            required: yes		  
          pt-PT:
            required: yes		  
          pt-BR:
            required: yes
          ru-RU:
            required: yes
          zh-CN:
            required: yes
          zh-TW:
            required: yes
  #------------------------------------------------------------
  # Root type
  #------------------------------------------------------------
  root_type:
    type: map
    map_schema:
      rich_presence_string_list:
        type: list
        required: yes
        list_type: rich_presence_string_type

#--------------------------------------------------------------
# Schema
#--------------------------------------------------------------
schema:
  type: map
  map_schema:
    # Specifies the version of the configuration
    version:
      required: yes
    # This is where the root of the configuration is found
    root:
      type: root_type
      required: yes